﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

using Infragistics.Win.UltraWinGrid;

namespace CardViewTestApp
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();

            ultraGrid1.DisplayLayout.Override.FormulaRowIndexSource = Infragistics.Win.UltraWinGrid.FormulaRowIndexSource.VisibleIndex;

            
            DataSet ds = new DataSet("Data");
            DataTable dt = new DataTable("Data");

            dt.Columns.Add("Department Code");
            dt.Columns.Add("Item");
            dt.Columns.Add("Retail Price", typeof(System.Decimal));
            dt.Columns.Add("Retail Cost", typeof(System.Decimal));
            dt.Columns.Add("Last Ship Date", typeof(System.DateTime));

            ds.Tables.Add(dt);

            dt.Rows.Add(new object[] { "01", "ABC", 5.50, 1.19, "12/06/1973" });
            dt.Rows.Add(new object[] { "01", "DDD", 3.50, 2.27, "04/02/1903" });
            dt.Rows.Add(new object[] { "01", "GGS", 9.50, 4.72, "06/05/1919" });
            dt.Rows.Add(new object[] { "03", "DDD", 3.50, 2.27, "04/02/1903" });
            dt.Rows.Add(new object[] { "06", "FFS", 1.50, 0.99, "11/10/1995" });
            dt.Rows.Add(new object[] { "06", "GGS", 9.50, 4.72, "06/05/1919" });
            dt.Rows.Add(new object[] { "02", "GGS", 9.50, 4.72, "06/05/1919" });
            dt.Rows.Add(new object[] { "09", "MMN", 11.50, 3.50, "05/30/2012" });
            dt.Rows.Add(new object[] { "11", "LOP", 2.50, 2.25, "11/19/2020" });
            dt.Rows.Add(new object[] { "31", "OKI", 6.50, 4.88, "8/18/1888" });
            dt.Rows.Add(new object[] { "31", "LOP", 2.50, 2.25, "11/19/2020" });
            dt.Rows.Add(new object[] { "31", "GGS", 9.50, 4.72, "06/05/1919" });
           
            ultraGrid1.SetDataBinding(ds, "Data", false);

            ultraGrid1.DisplayLayout.Bands[0].Summaries.Add(Infragistics.Win.UltraWinGrid.SummaryType.Sum, ultraGrid1.DisplayLayout.Bands[0].Columns["Retail Cost"]);

            ultraGrid1.DisplayLayout.GroupByBox.Hidden = false;
            ultraGrid1.DisplayLayout.Bands[0].SortedColumns.Add(ultraGrid1.DisplayLayout.Bands[0].Columns["Department Code"], true, true);

            foreach (Infragistics.Win.UltraWinGrid.UltraGridRow oneRow in ultraGrid1.Rows)
            {
                oneRow.ExpandAll();
            }

            ultraGrid1.DisplayLayout.Override.SummaryDisplayArea = (SummaryDisplayAreas)(SummaryDisplayAreas.GroupByRowsFooter | SummaryDisplayAreas.BottomFixed);

            ultraGrid1.DisplayLayout.Bands[0].CardSettings.Style =  Infragistics.Win.UltraWinGrid.CardStyle.MergedLabels;
            ultraGrid1.DisplayLayout.Bands[0].CardSettings.AutoFit = true;
            ultraGrid1.DisplayLayout.Bands[0].CardSettings.CardScrollbars = Infragistics.Win.UltraWinGrid.CardScrollbars.Horizontal;
            ultraGrid1.DisplayLayout.Bands[0].CardSettings.MaxCardAreaRows = 1;
            ultraGrid1.DisplayLayout.Bands[0].CardView = true;

        }
    }
}
